package cz.frantovo.springDemo1.dao;

import cz.frantovo.springDemo1.dto.Kniha;
import java.sql.ResultSet;
import java.sql.SQLException;
import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

/**
 *
 * @author fiki
 */
public class KnihaRowMapper implements ParameterizedRowMapper<Kniha> {

    public Kniha mapRow(ResultSet rs, int i) throws SQLException {
	Kniha k = new Kniha();
	k.setNazev(rs.getString("nazev"));
	k.setAutor(rs.getInt("autor"));
	k.setDatumAktualizace(rs.getDate("datum"));
	k.setId(rs.getInt("id"));
	k.setPocetStran(rs.getInt("pocet_stran"));
	k.setRokVydani(rs.getInt("rok_vydani"));
	return k;
    }
}
