package cz.frantovo.springDemo1.dao;

import cz.frantovo.springDemo1.KnihaDAORemote;
import cz.frantovo.springDemo1.dto.Kniha;
import java.util.Collection;
import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.sql.DataSource;
import org.springframework.jdbc.core.JdbcTemplate;

/**
 *
 * @author fiki
 */
@Stateless
public class KnihaDAO implements KnihaDAORemote {

    @Resource(mappedName = "jdbc/sqlVyuka/piskoviste")
    private DataSource dataSource;
    private KnihaRowMapper knihaRowMapper = new KnihaRowMapper();

    public Collection<Kniha> getKnihy() {
	JdbcTemplate t = new JdbcTemplate(dataSource);
	return t.query("SELECT * FROM sbirka.kniha;", knihaRowMapper);
    }
}
